Support » Plugin: WP Subtitle » Error in editing post screen

  • Resolved MKay

    (@mongia)


    Good morning,
    after the latest WP and plugin updates I get the following error in editing and new post screen:

    Strict standards: Non-static method WPSubtitle_Admin::get_admin_subtitle_value() should not be called statically in /Library/WebServer/Documents/aias-sicurezza.locl/wp-content/plugins/wp-subtitle/admin/admin.php on line 257

    Can you tell me where is the matter?

    Thanks

Viewing 5 replies - 1 through 5 (of 5 total)
  • I’m getting this too. PHP 7, if it make a difference.

    • This reply was modified 1 year, 2 months ago by  gregfuller.

    I’m using PHP 5.6.23 on Apache 2.4.18, so I think the issue do not depends on PHP version.

    I’ve resolved changing private function get_admin_subtitle_value( $post ) into private static function get_admin_subtitle_value( $post ) in /Library/WebServer/Documents/aias-sicurezza.locl/wp-content/plugins/wp-subtitle/admin/admin.php on line 282.

    Don’t really know if is correct, but everything seems working well!

    • This reply was modified 1 year, 2 months ago by  MKay.
    Plugin Author Ben Huson

    (@husobj)

    @mkay Thank you for spotting the issue – that is the correct fix.

    Just a couple of other minor issues found in the new version to fix, then I will release an update.

    In the meantime you can fix as you have above, then when an update is available, upgrade as normal.

    Just installed the last update, now it works smoothly!

    Thanks a lot

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error in editing post screen’ is closed to new replies.